<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
BatchEngineExportTaskDisplayContext batchEngineExportTaskDisplayContext = (BatchEngineExportTaskDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);
%>

<clay:navigation-bar
	navigationItems="<%= batchEngineExportTaskDisplayContext.getNavigationItems() %>"
/>

<div class="closed container" id="<portlet:namespace />batchEngineExportTasksPanelId">
	<liferay-ui:search-container
		id="batchEngineExportTasks"
		searchContainer="<%= batchEngineExportTaskDisplayContext.getSearchContainer() %>"
	>
		<liferay-ui:search-container-row
			className="com.liferay.batch.engine.model.BatchEngineExportTask"
			keyProperty="batchEngineExportTaskId"
			modelVar="batchEngineExportTask"
		>
			<liferay-ui:search-container-column-text
				name="user"
				value="<%= PortalUtil.getUserEmailAddress(batchEngineExportTask.getUserId()) %>"
			/>

			<liferay-ui:search-container-column-text
				name="entity"
				value="<%= batchEngineExportTaskDisplayContext.getSimpleName(batchEngineExportTask.getClassName()) %>"
			/>

			<liferay-ui:search-container-column-text
				name="content-type"
				property="contentType"
			/>

			<liferay-ui:search-container-column-date
				name="create-date"
				property="createDate"
			/>

			<liferay-ui:search-container-column-text
				cssClass="important table-cell-ws-nowrap"
				name="status"
				property="executeStatus"
			/>
		</liferay-ui:search-container-row>

		<liferay-ui:search-iterator
			displayStyle="list"
			markupView="lexicon"
		/>
	</liferay-ui:search-container>
</div>