<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
BatchEngineImportTaskDisplayContext batchEngineImportTaskDisplayContext = (BatchEngineImportTaskDisplayContext)request.getAttribute(WebKeys.PORTLET_DISPLAY_CONTEXT);
%>

<clay:navigation-bar
	navigationItems="<%= batchEngineImportTaskDisplayContext.getNavigationItems() %>"
/>

<div class="closed container" id="<portlet:namespace />batchEngineImportTasksPanelId">
	<liferay-ui:search-container
		id="batchEngineImportTasks"
		searchContainer="<%= batchEngineImportTaskDisplayContext.getSearchContainer() %>"
	>
		<liferay-ui:search-container-row
			className="com.liferay.batch.engine.model.BatchEngineImportTask"
			keyProperty="batchEngineImportTaskId"
			modelVar="batchEngineImportTask"
		>
			<liferay-ui:search-container-column-text
				name="user"
				value="<%= PortalUtil.getUserEmailAddress(batchEngineImportTask.getUserId()) %>"
			/>

			<liferay-ui:search-container-column-text
				name="operation"
				property="operation"
			/>

			<liferay-ui:search-container-column-text
				name="entity"
				value="<%= batchEngineImportTaskDisplayContext.getSimpleName(batchEngineImportTask.getClassName()) %>"
			/>

			<liferay-ui:search-container-column-text
				name="content-type"
				property="contentType"
			/>

			<liferay-ui:search-container-column-date
				name="create-date"
				property="createDate"
			/>

			<liferay-ui:search-container-column-jsp
				cssClass="important table-cell-ws-nowrap"
				name="status"
				path="/batch_engine_import_task_status.jsp"
			/>
		</liferay-ui:search-container-row>

		<liferay-ui:search-iterator
			displayStyle="list"
			markupView="lexicon"
		/>
	</liferay-ui:search-container>
</div>